
package de.ivu.elect.presentation.wertelisten.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.wertelisten.menu.WertelistenPageMenu;

public class WertelistenExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public String getExportSearchViewId() {
    return WertelistenExportView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.WERTELISTEN_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.WERTELISTEN_EXPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return WertelistenPageMenu.COMPONENT_NAME;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return false;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }
}
